#include "mlvalues.h"
#include "prims.h"
extern value compare();
extern value equal();
extern value notequal();
extern value lessthan();
extern value lessequal();
extern value greaterthan();
extern value greaterequal();
extern value extern_val();
extern value extern_compact_val();
extern value format_float();
extern value float_of_string();
extern value exp_float();
extern value fabs_float();
extern value floor_float();
extern value fmod_float();
extern value frexp_float();
extern value ldexp_float();
extern value log_float();
extern value log10_float();
extern value modf_float();
extern value sqrt_float();
extern value power_float();
extern value sin_float();
extern value sinh_float();
extern value cos_float();
extern value cosh_float();
extern value tan_float();
extern value tanh_float();
extern value asin_float();
extern value acos_float();
extern value atan_float();
extern value atan2_float();
extern value ceil_float();
extern value gc_stat();
extern value gc_get();
extern value gc_set();
extern value gc_minor();
extern value gc_major();
extern value gc_full_major();
extern value hash_univ_param();
extern value intern_val();
extern value int_of_string();
extern value format_int();
extern value open_descriptor();
extern value channel_descriptor();
extern value channel_size();
extern value flush();
extern value output_char();
extern value output_int();
extern value output();
extern value seek_out();
extern value pos_out();
extern value close_out();
extern value input_char();
extern value input_int();
extern value input();
extern value seek_in();
extern value pos_in();
extern value close_in();
extern value input_scan_line();
extern value get_next_char();
extern value start_interp();
extern value realloc_global();
extern value static_alloc();
extern value static_free();
extern value static_resize();
extern value obj_is_block();
extern value obj_block();
extern value available_primitives();
extern value parse_engine();
extern value create_string();
extern value compare_strings();
extern value blit_string();
extern value fill_string();
extern value is_printable();
extern value sys_exit();
extern value sys_open();
extern value sys_close();
extern value sys_remove();
extern value sys_rename();
extern value sys_chdir();
extern value sys_getenv();
extern value sys_system_command();
extern value sys_time();
extern value sys_catch_break();
c_primitive cprim[] = {
  compare,
  equal,
  notequal,
  lessthan,
  lessequal,
  greaterthan,
  greaterequal,
  extern_val,
  extern_compact_val,
  format_float,
  float_of_string,
  exp_float,
  fabs_float,
  floor_float,
  fmod_float,
  frexp_float,
  ldexp_float,
  log_float,
  log10_float,
  modf_float,
  sqrt_float,
  power_float,
  sin_float,
  sinh_float,
  cos_float,
  cosh_float,
  tan_float,
  tanh_float,
  asin_float,
  acos_float,
  atan_float,
  atan2_float,
  ceil_float,
  gc_stat,
  gc_get,
  gc_set,
  gc_minor,
  gc_major,
  gc_full_major,
  hash_univ_param,
  intern_val,
  int_of_string,
  format_int,
  open_descriptor,
  channel_descriptor,
  channel_size,
  flush,
  output_char,
  output_int,
  output,
  seek_out,
  pos_out,
  close_out,
  input_char,
  input_int,
  input,
  seek_in,
  pos_in,
  close_in,
  input_scan_line,
  get_next_char,
  start_interp,
  realloc_global,
  static_alloc,
  static_free,
  static_resize,
  obj_is_block,
  obj_block,
  available_primitives,
  parse_engine,
  create_string,
  compare_strings,
  blit_string,
  fill_string,
  is_printable,
  sys_exit,
  sys_open,
  sys_close,
  sys_remove,
  sys_rename,
  sys_chdir,
  sys_getenv,
  sys_system_command,
  sys_time,
  sys_catch_break,
  0 };
char * names_of_cprim[] = {
  "compare",
  "equal",
  "notequal",
  "lessthan",
  "lessequal",
  "greaterthan",
  "greaterequal",
  "extern_val",
  "extern_compact_val",
  "format_float",
  "float_of_string",
  "exp_float",
  "fabs_float",
  "floor_float",
  "fmod_float",
  "frexp_float",
  "ldexp_float",
  "log_float",
  "log10_float",
  "modf_float",
  "sqrt_float",
  "power_float",
  "sin_float",
  "sinh_float",
  "cos_float",
  "cosh_float",
  "tan_float",
  "tanh_float",
  "asin_float",
  "acos_float",
  "atan_float",
  "atan2_float",
  "ceil_float",
  "gc_stat",
  "gc_get",
  "gc_set",
  "gc_minor",
  "gc_major",
  "gc_full_major",
  "hash_univ_param",
  "intern_val",
  "int_of_string",
  "format_int",
  "open_descriptor",
  "channel_descriptor",
  "channel_size",
  "flush",
  "output_char",
  "output_int",
  "output",
  "seek_out",
  "pos_out",
  "close_out",
  "input_char",
  "input_int",
  "input",
  "seek_in",
  "pos_in",
  "close_in",
  "input_scan_line",
  "get_next_char",
  "start_interp",
  "realloc_global",
  "static_alloc",
  "static_free",
  "static_resize",
  "obj_is_block",
  "obj_block",
  "available_primitives",
  "parse_engine",
  "create_string",
  "compare_strings",
  "blit_string",
  "fill_string",
  "is_printable",
  "sys_exit",
  "sys_open",
  "sys_close",
  "sys_remove",
  "sys_rename",
  "sys_chdir",
  "sys_getenv",
  "sys_system_command",
  "sys_time",
  "sys_catch_break",
  0 };
